Issue 125815 - support build with OSX 10.10 SDK
Summary: support build with OSX 10.10 SDK
Status: CLOSED FIXED
Alias: None
Product: General
Classification: Code
Component: code (show other issues)
Version: 4.2.0-dev
Hardware: Mac OS X 10.10
: P3 Normal (vote)
Target Milestone: 4.1.2
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-31 16:25 UTC by hdu@apache.org
Modified: 2015-10-17 22:18 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: 4.2.0-dev
Developer Difficulty: ---
pescetti: 4.1.2_release_blocker+


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description hdu@apache.org 2014-10-31 16:25:18 UTC
Building OpenOffice with XCode 6.1 with the OSX 10.10 (aka "Yosemite") SDK breaks.

The reason is an illegal type conversion from nullptr to BOOL in VCL's a11ywrapper.
Comment 1 SVN Robot 2014-10-31 16:34:22 UTC
"hdu" committed SVN revision 1635806 into trunk:
#i125815# fix build breaker with Mac 10.10 SDK
Comment 2 hdu@apache.org 2014-10-31 16:35:39 UTC
Fixed with the commit above.
Comment 3 Kay 2015-09-07 21:29:06 UTC
Consideration for 4.1.2?
Comment 4 SVN Robot 2015-09-25 23:01:04 UTC
"pescetti" committed SVN revision 1705376 into branches/AOO410:
#i125815# Fix build breaker with Mac 10.10 SDK.
Comment 5 Andrea Pescetti 2015-09-25 23:10:55 UTC
Now committed to AOO410 for OpenOffice 4.1.2.
Comment 6 Andrea Pescetti 2015-10-17 22:18:45 UTC
Build was OK with no need for other patches as of OpenOffice 4.1.2-RC2. Closing.